﻿using Markdig;
using Markdig.Syntax;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    static void Main()
    {
        #region 마크다운 문자열을 설정한다.

        string markdownString = @"
# 제목

이것은 **Markdown** 문서입니다.

- 목록 항목 1
- 목록 항목 2
- 목록 항목 3

```csharp
// 코드 블록 예제
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
Console.WriteLine(""Hello, World!""); Console.WriteLine(""Hello, World!"");
```

1. 순서가 있는 항목
1. 순서가 있는 항목
    1. 순서가 없는 항목
    1. 순서가 없는 항목
1. 순서가 있는 항목
1. 순서가 있는 항목

- 순서가 없는 항목
- 순서가 없는 항목
    - 순서가 없는 항목
    - 순서가 없는 항목

| 값 | 의미 | 기본값 |
|---|:---:|---:|
| `static` | 유형(기준) 없음 / 배치 불가능 | `static` |
| `relative` | 요소 자신을 기준으로 배치 |  |
| `absolute` | 위치 상 부모(조상)요소를 기준으로 배치 |  |
| `fixed` | 브라우저 창을 기준으로 배치 |  |
| `sticky` | 스크롤 영역 기준으로 배치 |  |

> 인용문을 작성하세요!
>> 중첩된 인용문(nested blockquote)을 만들 수 있습니다.
>>> 중중첩 인용문 1
>>> 중중첩 인용문 2
>>> 중중첩 인용문 3

| 값 | 의미 |
|---|---|
| 버티컬바 출력 | \| |
| 인라인 코드 강조 | `\|` |

> 인용문 - 남의 말이나 글에서 직접 또는 간접으로 따온 문장.
> _(네이버 국어 사전)_

BREAK!

![Prunus](http://www.gstatic.com/webp/gallery/4.jpg)

1. 순서가 있는 항목
1. 순서가 있는 항목
    1. 순서가 없는 항목
    1. 순서가 없는 항목
1. 순서가 있는 항목
1. 순서가 있는 항목

[샘플 PDF 다운로드](https://drive.google.com/file/d/1P-2-Rui-5lX5v2vIUDtMp_NRr1Fmp3--/view?usp=drive_link)
";

    #endregion

        MarkdownPipeline markdownPipeline = new MarkdownPipelineBuilder().UseAdvancedExtensions().Build();

        MarkdownDocument markdownDocument = Markdown.Parse(markdownString, markdownPipeline);

        foreach(Block block in markdownDocument)
        {
            MarkdownHelper.EnumerateBlock(block, 0);
        }
    }

    #endregion
}